Bug 849264 - [abrt] gstreamer-0.10.36-1.fc17: g_thread_abort: Process /usr/bin/gst-launch-0.10 was killed by signal 6 (SIGABRT)
[abrt] gstreamer-0.10.36-1.fc17: g_thread_abort: Process /usr/bin/gst-launch-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:240e7ab19801d5529de7f891571...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 18:04 EDT by Bastiaan Jacques
Modified: 2013-08-01 03:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: limits (1.29 KB, text/plain)
2012-08-17 18:04 EDT, Bastiaan Jacques
no flags Details
File: dso_list (6.25 KB, text/plain)
2012-08-17 18:04 EDT, Bastiaan Jacques
no flags Details
File: maps (27.15 KB, text/plain)
2012-08-17 18:04 EDT, Bastiaan Jacques
no flags Details
File: var_log_messages (157 bytes, text/plain)
2012-08-17 18:04 EDT, Bastiaan Jacques
no flags Details
File: backtrace (16.83 KB, text/plain)
2012-08-17 18:04 EDT, Bastiaan Jacques
no flags Details
File: core_backtrace (1.89 KB, text/plain)
2012-08-17 18:04 EDT, Bastiaan Jacques
no flags Details

  None (edit)
Description Bastiaan Jacques 2012-08-17 18:04:08 EDT
Description of problem:
Ran a Gstreamer pipeline converting a 24-bit 48kHz ALAC file to FLAC.

Version-Release number of selected component:
gstreamer-0.10.36-1.fc17

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        /usr/bin/gst-launch-0.10 filesrc 'location=Coriolan Overture.m4a' ! decodebin ! audioconvert ! flacenc ! filesink location=test.flac
crash_function: g_thread_abort
kernel:         3.4.4-3.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 g_thread_abort at gthread-posix.c
: #3 g_mutex_lock at gthread-posix.c
: #4 reset_degree at gstbin.c
: #5 g_list_foreach at glist.c
: #6 gst_bin_sort_iterator_resync at gstbin.c
: #7 gst_bin_sort_iterator_new at gstbin.c
: #8 gst_bin_iterate_sorted at gstbin.c
: #9 gst_bin_change_state_func at gstbin.c
: #10 gst_pipeline_change_state at gstpipeline.c
: #11 gst_element_change_state at gstelement.c
Comment 1 Bastiaan Jacques 2012-08-17 18:04:11 EDT
Created attachment 605266 [details]
File: limits
Comment 2 Bastiaan Jacques 2012-08-17 18:04:13 EDT
Created attachment 605267 [details]
File: dso_list
Comment 3 Bastiaan Jacques 2012-08-17 18:04:15 EDT
Created attachment 605268 [details]
File: maps
Comment 4 Bastiaan Jacques 2012-08-17 18:04:17 EDT
Created attachment 605269 [details]
File: var_log_messages
Comment 5 Bastiaan Jacques 2012-08-17 18:04:19 EDT
Created attachment 605270 [details]
File: backtrace
Comment 6 Bastiaan Jacques 2012-08-17 18:04:21 EDT
Created attachment 605271 [details]
File: core_backtrace
Comment 7 Bastiaan Jacques 2012-08-17 18:13:26 EDT
Gstreamer developers suggest this bug is fixed in 0.10 git.
Comment 8 Bastiaan Jacques 2012-08-17 18:17:22 EDT
The proposed fix is in this commit: http://cgit.freedesktop.org/gstreamer-sdk/gst-plugins-good/commit/?id=38516ad367128d83f9e156529018adb4433cd328
Comment 9 Fedora End Of Life 2013-07-03 22:13:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 03:47:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.